> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List bucket permissions

> Returns all permission entries on a bucket. Requires owner or admin permission.



## OpenAPI

````yaml /api-reference/gns3util-filestore-api-docs.json get /api/v1/buckets/{bucket_id}/permissions
openapi: 3.0.0
info:
  description: API for gns3util distributed file storage
  title: gns3util cluster filestore API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/buckets/{bucket_id}/permissions:
    get:
      tags:
        - buckets
      summary: List bucket permissions
      description: >-
        Returns all permission entries on a bucket. Requires owner or admin
        permission.
      parameters:
        - description: Bucket ID
          name: bucket_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ListPermissionsResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.ListPermissionsResponse:
      type: object
      properties:
        count:
          type: integer
        permissions:
          type: array
          items:
            $ref: '#/components/schemas/models.PermissionEntry'
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized
    models.PermissionEntry:
      type: object
      properties:
        created_at:
          type: string
        expires_at:
          type: string
        granted_by:
          type: string
        id:
          type: string
        permission:
          type: string
        principal_id:
          type: string
        principal_type:
          type: string
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and JWT token.
      type: apiKey
      name: Authorization
      in: header

````